Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.desktop
Class XSLTProperty

    java.lang.Object
      org.crosswire.bibledesktop.desktop.XSLTProperty

All Implemented Interfaces:
  Serializable

    public class XSLTProperty

extends Object
implements Serializable

Defines properties that control the behavior of translating OSIS to HTML.

Distribution Licence: JSword is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License, version 2 as published by the Free Software Foundation. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. The License is available on the internet here, or by writing to: Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA The copyright to this program is held by it's authors.

Version:
  $Id: XSLTProperty.java,v 1.2 2005/03/06 20:21:36 dmsmith Exp $
Author:
  DM Smith [ dmsmith555 at hotmail dot com]
See Also:
  `Licence`, Serialized Form

Field Summary
`private boolean` | `defaultState` The default state of the XSLTProperty
`private String` | `name` The name of the XSLTProperty
`private static int` | `nextObj`
`static XSLTProperty` | `NOTES` Should notes be shown
`private int` | `obj`
`private static long` | `serialVersionUID` Serialization ID
`static XSLTProperty` | `START_VERSE_ON_NEWLINE` Determines whether verses should start on a new line.
`private boolean` | `state` The current state of the XSLTProperty
`static XSLTProperty` | `STRONGS_NUMBERS` Determines whether Strong's Numbers should show
`static XSLTProperty` | `TINY_VERSE_NUMBERS` Show verse numbers as a superscript.
`private static XSLTProperty[]` | `VALUES`
`static XSLTProperty` | `VERSE_NUMBERS` Show verse numbers
`static XSLTProperty` | `XREF` Should cross references be shown

Constructor Summary
`private` | `XSLTProperty(String name, boolean defaultState)`

Method Summary
`boolean` | `equals(Object o)` Prevent subclasses from overriding canonical identity based Object methods
`static XSLTProperty` | `fromInteger(int i)` Lookup method to convert from an integer
`static XSLTProperty` | `fromString(String name)` Lookup method to convert from a String
`boolean` | `getDefault()`
`String` | `getName()`
`boolean` | `getState()`
`int` | `hashCode()` Prevent subclasses from overriding canonical identity based Object methods
`(package private) Object` | `readResolve()`
`void` | `setState(boolean newState)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STRONGS_NUMBERS

    public static final XSLTProperty STRONGS_NUMBERS

  Determines whether Strong's Numbers should show

### START_VERSE_ON_NEWLINE

    public static final XSLTProperty START_VERSE_ON_NEWLINE

  Determines whether verses should start on a new line.

### VERSE_NUMBERS

    public static final XSLTProperty VERSE_NUMBERS

  Show verse numbers

### TINY_VERSE_NUMBERS

    public static final XSLTProperty TINY_VERSE_NUMBERS

  Show verse numbers as a superscript.

### NOTES

    public static final XSLTProperty NOTES

  Should notes be shown

### XREF

    public static final XSLTProperty XREF

  Should cross references be shown

### name

    private String name

  The name of the XSLTProperty

### defaultState

    private boolean defaultState

  The default state of the XSLTProperty

### state

    private boolean state

  The current state of the XSLTProperty

### nextObj

    private static int nextObj

### obj

    private final int obj

### VALUES

    private static final XSLTProperty[] VALUES

### serialVersionUID

    private static final long serialVersionUID

  Serialization ID

  See Also:
    Constant Field Values

Constructor Detail

### XSLTProperty

    private XSLTProperty(String name,
                         boolean defaultState)

Parameters:
  `name` - The name of this property

Method Detail

### getName

    public String getName()

  Returns:
    the name of the property

### getDefault

    public boolean getDefault()

### getState

    public boolean getState()

### setState

    public void setState(boolean newState)

### fromString

    public static XSLTProperty fromString(String name)

  Lookup method to convert from a String

### fromInteger

    public static XSLTProperty fromInteger(int i)

  Lookup method to convert from an integer

### equals

    public final boolean equals(Object o)

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public final int hashCode()

  Prevent subclasses from overriding canonical identity based Object methods

  Overrides:
    `hashCode` in class `Object`
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readResolve

    Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD